2019-06-24 23:17 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002098NetSurfLayoutpublic2015-03-10 11:01
ReporterAchal 
Assigned ToMichael Drake 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformLinuxOSUbuntuOS Version13.10
Product Version3.0 
Target VersionFixed in Version3.1 
Summary0002098: In multiline text area field caret is not clipped.
DescriptionIf caret is present in last line of textarea's view and scroll up is clicked then caret is shown even outside of textarea boundary.

Please see attached screenshot.

Same is true for first line of textarea's view.
TagsNo tags attached.
Fixed in CI build #1772
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Achal

~0000287

Achal (reporter)

One possible fix is
https://github.com/Achal-Aggarwal/netsurf/compare/fix-2098
https://github.com/Achal-Aggarwal/netsurf/compare/fix-2098.diff
Achal

~0000289

Achal (reporter)

I have updated branch fix-2098, now it is fixed centrally after suggestions of Michael.

SHA1 : 7bcefbf72dee4cb60fa51ffc9eb4e0ab26ddab75
Michael Drake

~0000291

Michael Drake (administrator)

Thanks for the fix. Your patch has been applied:

http://git.netsurf-browser.org/netsurf.git/commit/?id=7bcefbf72dee4cb60fa51ffc9eb4e0ab26ddab75
Vincent Sanders

~0000690

Vincent Sanders (administrator)

Confirmed fixed in 3.1 release
+Notes

-Issue History
Date Modified Username Field Change
2014-03-20 11:39 Achal New Issue
2014-03-20 11:39 Achal File Added: Screenshot from 2014-03-20 17:01:40.png
2014-03-20 12:36 Achal Note Added: 0000287
2014-03-21 17:20 Vincent Sanders Assigned To => Michael Drake
2014-03-21 17:20 Vincent Sanders Status new => acknowledged
2014-03-21 17:32 Achal Note Added: 0000289
2014-03-27 22:12 Michael Drake Fixed in CI build # => 1772
2014-03-27 22:12 Michael Drake Note Added: 0000291
2014-03-27 22:12 Michael Drake Status acknowledged => resolved
2014-03-27 22:12 Michael Drake Resolution open => fixed
2014-03-27 22:12 Michael Drake Fixed in Version => 3.1
2015-03-10 11:01 Vincent Sanders Note Added: 0000690
2015-03-10 11:01 Vincent Sanders Status resolved => closed
+Issue History